***[ WSC32 Declarations (WSC Ver 7.0.0) for xBase++] ***
#define COM1   0
#define COM2   1
#define COM3   2
#define COM4   3
#define COM5   4
#define COM6   5
#define COM7   6
#define COM8   7
#define COM9   8
#define COM10  9
#define COM11 10
#define COM12 11
#define COM13 12
#define COM14 13
#define COM15 14
#define COM16 15
*( COM17 thru COM256 are defined in the same pattern as above )
#define COM256 255
*** Parity Codes
#define WSC_NoParity 0
#define WSC_OddParity  1
#define WSC_EvenParity 2
#define WSC_MarkParity 3
#define WSC_SpaceParity 4
*** Stop Bit Codes
#define WSC_OneStopBit   0
#define WSC_One5StopBits 1
#define WSC_TwoStopBits  2
*** Word Length Codes
#define WSC_WordLength5  5
#define WSC_WordLength6  6
#define WSC_WordLength7  7
#define WSC_WordLength8  8
*** Data Bit Codes (same as word length)
#define WSC_DataBits_5   5
#define WSC_DataBits_6   6
#define WSC_DataBits_7   7
#define WSC_DataBits_8   8
*** return codes
#define WSC_NO_DATA      (-100)
#define WSC_RANGE        (-101)
#define WSC_ABORTED      (-102)
#define WSC_WIN32ERR     (-103)
#define WSC_EXPIRED      (-104)
#define WSC_BUFFERS      (-105)
#define WSC_THREAD       (-106)
#define WSC_TIMEOUT      (-107)
#define WSC_KEYCODE      (-108)
#define WSC_BUFFER_RANGE (-109)
#define WSC_BUFLEN_RANGE (-110)
#define WSC_BAD_CMD      (-111)
#define WSC_BAD_PARITY   (-112)
#define WSC_BAD_STOPBIT  (-113)
#define WSC_BAD_WORDLEN  (-114)
#define WSC_IE_BADID     (-1)
#define WSC_IE_OPEN      (-2)
#define WSC_IE_NOPEN     (-3)
#define WSC_IE_MEMORY    (-4)
#define WSC_IE_DEFAULT   (-5)
#define WSC_IE_HARDWARE  (-10)
#define WSC_IE_BYTESIZE  (-11)
#define WSC_IE_BAUDRATE  (-12)
#define WSC_IO_ERROR     (-13)
*** baud codes
#define WSC_Baud110    0
#define WSC_Baud300    1
#define WSC_Baud1200   2
#define WSC_Baud2400   3
#define WSC_Baud4800   4
#define WSC_Baud9600   5
#define WSC_Baud19200  6
#define WSC_Baud38400  7
#define WSC_Baud57600  8
#define WSC_Baud115200 9
*** SioGetError masks
#define WSC_RXOVER   0x0001
#define WSC_OVERRUN  0x0002
#define WSC_PARITY   0x0004
#define WSC_FRAME    0x0008
#define WSC_BREAK    0x0010
#define WSC_TXFULL   0x0100
*** Command codes
#define WSC_ASSERT_BREAK 65
#define WSC_CANCEL_BREAK 67
#define WSC_DETECT_BREAK 68
#define WSC_SET_LINE     83
#define WSC_CLEAR_LINE   67
#define WSC_READ_LINE    82
*** SioFlow codes
#define WSC_HARDWARE_FLOW_CONTROL 72
#define WSC_SOFTWARE_FLOW_CONTROL 83
#define WSC_NO_FLOW_CONTROL       78
*** SioSetInteger codes
#define WSC_SET_WAIT   87
#define WSC_SIGNAL     83
#define WSC_OVERLAPPED 79
*** SioEvent, SioEventChar, and SioEventWait codes
#define WSC_IO_PENDING   2
#define WSC_IO_COMPLETE  3
*** SioPortInfo codes
#define WSC_PORT_BAUD   66
#define WSC_PORT_CPS    67

*** WSC Functions

*** Note: All parameters passed to WSC functions must be either an integer
***       or a (single) variable containing the address of a character buffer.

FUNCTION xSioBaud(nPort,nBaud)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioBaud",nPort,nBaud)
FUNCTION xSioBrkSig(nPort,nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioBrkSig",nPort,nParm)
FUNCTION xSioCTS(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioCTS",nPort)
FUNCTION xSioDCD(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDCD",nPort)
FUNCTION xSioDebug(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDebug",nPort)
FUNCTION xSioDone(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDone",nPort)
FUNCTION xSioDSR(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDSR",nPort)
FUNCTION xSioDTR(nPort,nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDTR",nPort,nParm)
FUNCTION xSioEvent(nPort,nMask)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioEvent",nPort,nMask)
FUNCTION xSioEventWait(nPort,nMask,nTimeout)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioEventWait",nPort,nMask,nTimeout)
FUNCTION xSioEventChar(nPort,nChar,nTimeout)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioEventChar",nPort,nChar,nTimeout)
FUNCTION xSioFlow(nPort,nFlow)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioFlow",nPort,nFlow)
FUNCTION xSioInfo(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioInfo",nPort)
FUNCTION xSioGetc(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGetc",nPort)
FUNCTION xSioGets(nPort,cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGets",nPort,@cBuffer,nSize)
FUNCTION xSioParms(nPort,nParity,nStop,nData)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioParms",nPort,nParity,nStop,nData)
FUNCTION xSioPutc(nPort,nChar)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioPutc",nPort,nChar)
FUNCTION xSioPuts(nPort,cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioPuts",nPort,@cBuffer,nSize)
FUNCTION xSioQuiet(nPort,nQuiet,nTimeOut) 
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioQuiet",nPort,nQuiet,nTimeOut) 
FUNCTION xSioRead(nPort,nReg)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRead",nPort,nReg)
FUNCTION xSioReset(nPort,nRxSize,nTxSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioReset",nPort,nRxSize,nTxSize)
FUNCTION xSioRI(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRI",nPort)
FUNCTION xSioRTS(nPort,nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRTS",nPort,nParm)
FUNCTION xSioRxClear(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRxClear",nPort)
FUNCTION xSioRxQue(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRxQue",nPort)
FUNCTION xSioStatus(nPort,nMask)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioStatus",nPort,nMask)
FUNCTION xSioTimer()
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioTimer")
FUNCTION xSioKeyCode(nKeyCode) 
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioKeyCode",nKeyCode)
FUNCTION xSioLRC(cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioLRC",@cBuffer,nSize)
FUNCTION xSioGetReg(cBuffer,nSize) 
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGetReg",@cBuffer,nSize) 
FUNCTION xSioSetInteger(nPort,nParmName,nParmValue) 
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioSetInteger",nPort,nParmName,nParmValue)
FUNCTION xSioSetTimeouts(nPort,nReadInter,nReadMult,nReadCons,nWriteMult,nWriteCons)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioSetTimeouts",nPort,nReadInter,nReadMult,nReadCons,nWriteMult,nWriteCons)
FUNCTION xSioSleep(nMilliSecs) 
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioSleep",nMilliSecs)
FUNCTION xSioHexView(cBinary,nCount,cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioHexView",@cBinary,nCount,@cBuffer,nSize)
FUNCTION xSioRxWait(nPort,nBytesWanted,nTimeout)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRxWait",nPort,nBytesWanted,nTimeout)
FUNCTION xSioTxClear(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioTxClear",nPort)
FUNCTION xSioTxQue(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioTxQue",nPort)
FUNCTION xSioUnGetc(nPort,nChar)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioUnGetc",nPort,nChar)
FUNCTION xSioWaitFor(nPort,nTimeOut)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioWaitFor",nPort,nTimeOut)
FUNCTION xSioWinError(cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioWinError",@cBuffer,nSize)
FUNCTION xSioCRC16(cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioCRC16",@cBuffer,nSize)
FUNCTION xSioCRC32(cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioCRC32",@cBuffer,nSize)
FUNCTION xSioErrorText(nErrCode, cBuffer, nBufLen)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioErrorText",nErrCode, @cBuffer, nBufLen)
FUNCTION xSioPortInfo(nPort, nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioPortInfo",nPort, nParm)
FUNCTION xSioGetsC(nPort, cBuffer, nBufLen, nTimeout, nStopChr)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGetsC",nPort, @cBuffer, nBufLen, nTimeout, nStopChr)
FUNCTION xSioOpen(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioOpen",nPort)
FUNCTION xSioClose(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioClose",nPort)
FUNCTION xSioGetsQ(nPort, nQuiet, cBuffer, nBufLen)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGetsQ",nPort,nQuiet,@cBuffer,nBufLen)


***[ End of WSC32 Declarations ]***
